Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

List agent environments

EnvironmentListPage beta().agents().environments().list(params = EnvironmentListParams.none(), requestOptions = RequestOptions.none())
GET
/agents/environments

Lists OpenAI-hosted environments owned by the authenticated principal. Requires access to the prewarming beta.

Parameters
EnvironmentListParams params
Optional<String> after

Return resources after this resource ID in the selected order.

minLength0
maxLength1048576
Optional<Long> limit

The maximum number of resources to return, between 1 and 100. Defaults to 20.

formatint64
minimum1
maximum100
Optional<Order> order

The order in which resources are returned. Defaults to desc.

Optional<Type> type

The hosting type to list. Defaults to openai_hosted.

Returns
class EnvironmentInfo:

Safe metadata for a first-class execution environment.

String id

The ID of the environment.

minLength0

Files installed in the environment, without their contents.

minItems0
maxItems2000
JsonValue; object_
constant
constant

The object type. Always agent.environment.

List<HostedPlugin> plugins

Plugins installed in the environment, without their archive contents.

minItems0
maxItems2000
List<HostedSkill> skills

Skills installed in the environment, without their archive contents.

minItems0
maxItems2000
Status status

The current environment connection status.

Type type

Whether the environment is hosted by OpenAI or by the application.

List agent environments

package com.openai.example;

import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.beta.agents.environments.EnvironmentListPage;
import com.openai.models.beta.agents.environments.EnvironmentListParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        OpenAIClient client = OpenAIOkHttpClient.fromEnv();

        EnvironmentListPage page = client.beta().agents().environments().list();
    }
}
200 — Example
{
  "data": [
    {
      "id": "id",
      "files": [
        {
          "id": "id",
          "file_id": "file_id",
          "path": "path",
          "size_bytes": 0,
          "type": "file_id"
        }
      ],
      "object": "agent.environment",
      "plugins": [
        {
          "description": "description",
          "name": "name",
          "type": "inline"
        }
      ],
      "skills": [
        {
          "description": "description",
          "name": "name",
          "skill_id": "skill_id",
          "type": "skill_reference",
          "version": "version"
        }
      ],
      "status": "pending",
      "type": "openai_hosted"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id",
  "object": "list"
}
Returns Examples
200 — Example
{
  "data": [
    {
      "id": "id",
      "files": [
        {
          "id": "id",
          "file_id": "file_id",
          "path": "path",
          "size_bytes": 0,
          "type": "file_id"
        }
      ],
      "object": "agent.environment",
      "plugins": [
        {
          "description": "description",
          "name": "name",
          "type": "inline"
        }
      ],
      "skills": [
        {
          "description": "description",
          "name": "name",
          "skill_id": "skill_id",
          "type": "skill_reference",
          "version": "version"
        }
      ],
      "status": "pending",
      "type": "openai_hosted"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id",
  "object": "list"
}